Skip to main content
POST
/
templates
/
presentations
Create a new presentation template.
curl --request POST \
  --url https://test.didxtech.com/me-creds/api/templates/presentations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": "manual",
  "name": "My presentation template",
  "description": "This is a description",
  "credentials": [
    {
      "format": "sd-jwt-vc",
      "name": "My SD-JWT credential",
      "description": "A verifiable credential",
      "type": "https://metadata.paradym.id/types/asdf93-UniversityCard",
      "attributes": {
        "myAttribute": {
          "type": "string"
        }
      }
    },
    {
      "format": "mdoc",
      "name": "My mDL credential",
      "description": "A mobile driving licence",
      "type": "org.iso.18013.5.1.mDL",
      "attributes": {
        "org.iso.18013.5.1": {
          "properties": {
            "family_name": {
              "intentToRetain": false
            },
            "given_name": {
              "intentToRetain": false
            }
          }
        }
      }
    }
  ]
}
'
{
  "data": {
    "name": "My presentation template",
    "description": "This is a description",
    "createdAt": "2025-02-20T11:27:37.051Z",
    "updatedAt": "2025-02-20T11:27:37.051Z",
    "id": "6421a8905c17830c188e2e2f",
    "credentials": [
      {
        "format": "sd-jwt-vc",
        "name": "My SD-JWT credential",
        "description": "A verifiable credential",
        "type": "https://metadata.paradym.id/types/asdf93-UniversityCard",
        "attributes": {
          "myAttribute": {
            "type": "string"
          }
        }
      },
      {
        "format": "mdoc",
        "name": "My mDL credential",
        "description": "A mobile driving licence",
        "type": "org.iso.18013.5.1.mDL",
        "attributes": {
          "org.iso.18013.5.1": {
            "properties": {
              "family_name": {
                "intentToRetain": false
              }
            }
          }
        }
      }
    ]
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
source
enum<string>
required
Available options:
preset
presetId
string
required

Response

200 - application/json

Created presentation template.

data
object
required
Example:
{
  "name": "My presentation template",
  "description": "This is a description",
  "createdAt": "2025-02-20T11:27:37.051Z",
  "updatedAt": "2025-02-20T11:27:37.051Z",
  "id": "6421a8905c17830c188e2e2f",
  "credentials": [
    {
      "format": "sd-jwt-vc",
      "name": "My SD-JWT credential",
      "description": "A verifiable credential",
      "type": "https://metadata.paradym.id/types/asdf93-UniversityCard",
      "attributes": { "myAttribute": { "type": "string" } }
    },
    {
      "format": "mdoc",
      "name": "My mDL credential",
      "description": "A mobile driving licence",
      "type": "org.iso.18013.5.1.mDL",
      "attributes": {
        "org.iso.18013.5.1": {
          "properties": {
            "family_name": { "intentToRetain": false }
          }
        }
      }
    }
  ]
}
meta
object
errors
object[]